Switch release python packages to use clang/lld. (#14928)

Should speed things up and makes consistent with pkgci and others. Also
enables some more options for making debug binaries, which we may enable
soon for the runtime.

Was doing this for consistency, but it also happens to speed the package
built up by ~3 minutes.

(Possibly now that we are on the new manylinux)
diff --git a/build_tools/pkgci/build_linux_packages.sh b/build_tools/pkgci/build_linux_packages.sh
index 2bc0d63..30f89f5 100755
--- a/build_tools/pkgci/build_linux_packages.sh
+++ b/build_tools/pkgci/build_linux_packages.sh
@@ -237,6 +237,7 @@
     yum update -y
     # Required for Tracy
     yum install -y capstone-devel tbb-devel libzstd-devel
+    yum install -y clang lld
   elif [[ "$uname_m" == "x86_64" ]]; then
     # Check if the output is x86_64
     echo "Running on an architecture which has deps in docker image."
diff --git a/build_tools/python_deploy/build_linux_packages.sh b/build_tools/python_deploy/build_linux_packages.sh
index 9d02d4e..9116db1 100755
--- a/build_tools/python_deploy/build_linux_packages.sh
+++ b/build_tools/python_deploy/build_linux_packages.sh
@@ -69,6 +69,7 @@
 output_dir="${output_dir:-${this_dir}/wheelhouse}"
 packages="${packages:-iree-runtime iree-compiler}"
 package_suffix="${package_suffix:-}"
+toolchain_suffix="${toolchain_suffix:-release}"
 
 function run_on_host() {
   echo "Running on host"
@@ -87,6 +88,7 @@
     -e "packages=${packages}" \
     -e "package_suffix=${package_suffix}" \
     -e "output_dir=${output_dir}" \
+    -e "toolchain_suffix=${toolchain_suffix}" \
     "${manylinux_docker_image}" \
     -- ${this_dir}/${script_name}
 
@@ -101,9 +103,16 @@
   git config --global --add safe.directory '*'
 
   echo "Using python versions: ${python_versions}"
-
   local orig_path="${PATH}"
 
+  # Configure toolchain.
+  export CMAKE_TOOLCHAIN_FILE="${repo_root}/build_tools/pkgci/linux_toolchain_${toolchain_suffix}.cmake"
+  echo "Using CMake toolchain ${CMAKE_TOOLCHAIN_FILE}"
+  if ! [ -f "$CMAKE_TOOLCHAIN_FILE" ]; then
+    echo "CMake toolchain not found (wrong toolchain_suffix?)"
+    exit 1
+  fi
+
   # Build phase.
   for package in ${packages}; do
     echo "******************** BUILDING PACKAGE ${package} ********************"
@@ -198,6 +207,7 @@
     yum update -y
     # Required for Tracy
     yum install -y capstone-devel tbb-devel libzstd-devel
+    yum install -y clang lld
   elif [[ "$uname_m" == "x86_64" ]]; then
     # Check if the output is x86_64
     echo "The architecture is x86_64 so assume we are on a managed image with deps"